Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
0.0.0.0
Broadcast address
15.255.255.255
First usable
0.0.0.1
Last usable
15.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
A (default /8)
As numbers
Hex 00000000 · Integer 0 to 268435455
Reverse DNS zones
0.in-addr.arpa
1.in-addr.arpa
2.in-addr.arpa
3.in-addr.arpa
4.in-addr.arpa
5.in-addr.arpa
6.in-addr.arpa
7.in-addr.arpa
8.in-addr.arpa
9.in-addr.arpa
10.in-addr.arpa
11.in-addr.arpa
12.in-addr.arpa
13.in-addr.arpa
14.in-addr.arpa
15.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.00000000.00000000.000000000.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network00000000.00000000.00000000.000000000.0.0.0
Broadcast00001111.11111111.11111111.1111111115.255.255.255
Split into smaller subnets/16

0.0.0.0/4 makes 4,096 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.0.0.0/160.0.0.1 to 0.0.255.2540.0.255.25565,534
20.1.0.0/160.1.0.1 to 0.1.255.2540.1.255.25565,534
30.2.0.0/160.2.0.1 to 0.2.255.2540.2.255.25565,534
40.3.0.0/160.3.0.1 to 0.3.255.2540.3.255.25565,534
50.4.0.0/160.4.0.1 to 0.4.255.2540.4.255.25565,534
60.5.0.0/160.5.0.1 to 0.5.255.2540.5.255.25565,534
70.6.0.0/160.6.0.1 to 0.6.255.2540.6.255.25565,534
80.7.0.0/160.7.0.1 to 0.7.255.2540.7.255.25565,534
90.8.0.0/160.8.0.1 to 0.8.255.2540.8.255.25565,534
100.9.0.0/160.9.0.1 to 0.9.255.2540.9.255.25565,534
110.10.0.0/160.10.0.1 to 0.10.255.2540.10.255.25565,534
120.11.0.0/160.11.0.1 to 0.11.255.2540.11.255.25565,534
130.12.0.0/160.12.0.1 to 0.12.255.2540.12.255.25565,534
140.13.0.0/160.13.0.1 to 0.13.255.2540.13.255.25565,534
150.14.0.0/160.14.0.1 to 0.14.255.2540.14.255.25565,534
160.15.0.0/160.15.0.1 to 0.15.255.2540.15.255.25565,534
170.16.0.0/160.16.0.1 to 0.16.255.2540.16.255.25565,534
180.17.0.0/160.17.0.1 to 0.17.255.2540.17.255.25565,534
190.18.0.0/160.18.0.1 to 0.18.255.2540.18.255.25565,534
200.19.0.0/160.19.0.1 to 0.19.255.2540.19.255.25565,534
210.20.0.0/160.20.0.1 to 0.20.255.2540.20.255.25565,534
220.21.0.0/160.21.0.1 to 0.21.255.2540.21.255.25565,534
230.22.0.0/160.22.0.1 to 0.22.255.2540.22.255.25565,534
240.23.0.0/160.23.0.1 to 0.23.255.2540.23.255.25565,534
250.24.0.0/160.24.0.1 to 0.24.255.2540.24.255.25565,534
260.25.0.0/160.25.0.1 to 0.25.255.2540.25.255.25565,534
270.26.0.0/160.26.0.1 to 0.26.255.2540.26.255.25565,534
280.27.0.0/160.27.0.1 to 0.27.255.2540.27.255.25565,534
290.28.0.0/160.28.0.1 to 0.28.255.2540.28.255.25565,534
300.29.0.0/160.29.0.1 to 0.29.255.2540.29.255.25565,534
310.30.0.0/160.30.0.1 to 0.30.255.2540.30.255.25565,534
320.31.0.0/160.31.0.1 to 0.31.255.2540.31.255.25565,534
330.32.0.0/160.32.0.1 to 0.32.255.2540.32.255.25565,534
340.33.0.0/160.33.0.1 to 0.33.255.2540.33.255.25565,534
350.34.0.0/160.34.0.1 to 0.34.255.2540.34.255.25565,534
360.35.0.0/160.35.0.1 to 0.35.255.2540.35.255.25565,534
370.36.0.0/160.36.0.1 to 0.36.255.2540.36.255.25565,534
380.37.0.0/160.37.0.1 to 0.37.255.2540.37.255.25565,534
390.38.0.0/160.38.0.1 to 0.38.255.2540.38.255.25565,534
400.39.0.0/160.39.0.1 to 0.39.255.2540.39.255.25565,534
410.40.0.0/160.40.0.1 to 0.40.255.2540.40.255.25565,534
420.41.0.0/160.41.0.1 to 0.41.255.2540.41.255.25565,534
430.42.0.0/160.42.0.1 to 0.42.255.2540.42.255.25565,534
440.43.0.0/160.43.0.1 to 0.43.255.2540.43.255.25565,534
450.44.0.0/160.44.0.1 to 0.44.255.2540.44.255.25565,534
460.45.0.0/160.45.0.1 to 0.45.255.2540.45.255.25565,534
470.46.0.0/160.46.0.1 to 0.46.255.2540.46.255.25565,534
480.47.0.0/160.47.0.1 to 0.47.255.2540.47.255.25565,534
490.48.0.0/160.48.0.1 to 0.48.255.2540.48.255.25565,534
500.49.0.0/160.49.0.1 to 0.49.255.2540.49.255.25565,534
510.50.0.0/160.50.0.1 to 0.50.255.2540.50.255.25565,534
520.51.0.0/160.51.0.1 to 0.51.255.2540.51.255.25565,534
530.52.0.0/160.52.0.1 to 0.52.255.2540.52.255.25565,534
540.53.0.0/160.53.0.1 to 0.53.255.2540.53.255.25565,534
550.54.0.0/160.54.0.1 to 0.54.255.2540.54.255.25565,534
560.55.0.0/160.55.0.1 to 0.55.255.2540.55.255.25565,534
570.56.0.0/160.56.0.1 to 0.56.255.2540.56.255.25565,534
580.57.0.0/160.57.0.1 to 0.57.255.2540.57.255.25565,534
590.58.0.0/160.58.0.1 to 0.58.255.2540.58.255.25565,534
600.59.0.0/160.59.0.1 to 0.59.255.2540.59.255.25565,534
610.60.0.0/160.60.0.1 to 0.60.255.2540.60.255.25565,534
620.61.0.0/160.61.0.1 to 0.61.255.2540.61.255.25565,534
630.62.0.0/160.62.0.1 to 0.62.255.2540.62.255.25565,534
640.63.0.0/160.63.0.1 to 0.63.255.2540.63.255.25565,534
650.64.0.0/160.64.0.1 to 0.64.255.2540.64.255.25565,534
660.65.0.0/160.65.0.1 to 0.65.255.2540.65.255.25565,534
670.66.0.0/160.66.0.1 to 0.66.255.2540.66.255.25565,534
680.67.0.0/160.67.0.1 to 0.67.255.2540.67.255.25565,534
690.68.0.0/160.68.0.1 to 0.68.255.2540.68.255.25565,534
700.69.0.0/160.69.0.1 to 0.69.255.2540.69.255.25565,534
710.70.0.0/160.70.0.1 to 0.70.255.2540.70.255.25565,534
720.71.0.0/160.71.0.1 to 0.71.255.2540.71.255.25565,534
730.72.0.0/160.72.0.1 to 0.72.255.2540.72.255.25565,534
740.73.0.0/160.73.0.1 to 0.73.255.2540.73.255.25565,534
750.74.0.0/160.74.0.1 to 0.74.255.2540.74.255.25565,534
760.75.0.0/160.75.0.1 to 0.75.255.2540.75.255.25565,534
770.76.0.0/160.76.0.1 to 0.76.255.2540.76.255.25565,534
780.77.0.0/160.77.0.1 to 0.77.255.2540.77.255.25565,534
790.78.0.0/160.78.0.1 to 0.78.255.2540.78.255.25565,534
800.79.0.0/160.79.0.1 to 0.79.255.2540.79.255.25565,534
810.80.0.0/160.80.0.1 to 0.80.255.2540.80.255.25565,534
820.81.0.0/160.81.0.1 to 0.81.255.2540.81.255.25565,534
830.82.0.0/160.82.0.1 to 0.82.255.2540.82.255.25565,534
840.83.0.0/160.83.0.1 to 0.83.255.2540.83.255.25565,534
850.84.0.0/160.84.0.1 to 0.84.255.2540.84.255.25565,534
860.85.0.0/160.85.0.1 to 0.85.255.2540.85.255.25565,534
870.86.0.0/160.86.0.1 to 0.86.255.2540.86.255.25565,534
880.87.0.0/160.87.0.1 to 0.87.255.2540.87.255.25565,534
890.88.0.0/160.88.0.1 to 0.88.255.2540.88.255.25565,534
900.89.0.0/160.89.0.1 to 0.89.255.2540.89.255.25565,534
910.90.0.0/160.90.0.1 to 0.90.255.2540.90.255.25565,534
920.91.0.0/160.91.0.1 to 0.91.255.2540.91.255.25565,534
930.92.0.0/160.92.0.1 to 0.92.255.2540.92.255.25565,534
940.93.0.0/160.93.0.1 to 0.93.255.2540.93.255.25565,534
950.94.0.0/160.94.0.1 to 0.94.255.2540.94.255.25565,534
960.95.0.0/160.95.0.1 to 0.95.255.2540.95.255.25565,534
970.96.0.0/160.96.0.1 to 0.96.255.2540.96.255.25565,534
980.97.0.0/160.97.0.1 to 0.97.255.2540.97.255.25565,534
990.98.0.0/160.98.0.1 to 0.98.255.2540.98.255.25565,534
1000.99.0.0/160.99.0.1 to 0.99.255.2540.99.255.25565,534
1010.100.0.0/160.100.0.1 to 0.100.255.2540.100.255.25565,534
1020.101.0.0/160.101.0.1 to 0.101.255.2540.101.255.25565,534
1030.102.0.0/160.102.0.1 to 0.102.255.2540.102.255.25565,534
1040.103.0.0/160.103.0.1 to 0.103.255.2540.103.255.25565,534
1050.104.0.0/160.104.0.1 to 0.104.255.2540.104.255.25565,534
1060.105.0.0/160.105.0.1 to 0.105.255.2540.105.255.25565,534
1070.106.0.0/160.106.0.1 to 0.106.255.2540.106.255.25565,534
1080.107.0.0/160.107.0.1 to 0.107.255.2540.107.255.25565,534
1090.108.0.0/160.108.0.1 to 0.108.255.2540.108.255.25565,534
1100.109.0.0/160.109.0.1 to 0.109.255.2540.109.255.25565,534
1110.110.0.0/160.110.0.1 to 0.110.255.2540.110.255.25565,534
1120.111.0.0/160.111.0.1 to 0.111.255.2540.111.255.25565,534
1130.112.0.0/160.112.0.1 to 0.112.255.2540.112.255.25565,534
1140.113.0.0/160.113.0.1 to 0.113.255.2540.113.255.25565,534
1150.114.0.0/160.114.0.1 to 0.114.255.2540.114.255.25565,534
1160.115.0.0/160.115.0.1 to 0.115.255.2540.115.255.25565,534
1170.116.0.0/160.116.0.1 to 0.116.255.2540.116.255.25565,534
1180.117.0.0/160.117.0.1 to 0.117.255.2540.117.255.25565,534
1190.118.0.0/160.118.0.1 to 0.118.255.2540.118.255.25565,534
1200.119.0.0/160.119.0.1 to 0.119.255.2540.119.255.25565,534
1210.120.0.0/160.120.0.1 to 0.120.255.2540.120.255.25565,534
1220.121.0.0/160.121.0.1 to 0.121.255.2540.121.255.25565,534
1230.122.0.0/160.122.0.1 to 0.122.255.2540.122.255.25565,534
1240.123.0.0/160.123.0.1 to 0.123.255.2540.123.255.25565,534
1250.124.0.0/160.124.0.1 to 0.124.255.2540.124.255.25565,534
1260.125.0.0/160.125.0.1 to 0.125.255.2540.125.255.25565,534
1270.126.0.0/160.126.0.1 to 0.126.255.2540.126.255.25565,534
1280.127.0.0/160.127.0.1 to 0.127.255.2540.127.255.25565,534
1290.128.0.0/160.128.0.1 to 0.128.255.2540.128.255.25565,534
1300.129.0.0/160.129.0.1 to 0.129.255.2540.129.255.25565,534
1310.130.0.0/160.130.0.1 to 0.130.255.2540.130.255.25565,534
1320.131.0.0/160.131.0.1 to 0.131.255.2540.131.255.25565,534
1330.132.0.0/160.132.0.1 to 0.132.255.2540.132.255.25565,534
1340.133.0.0/160.133.0.1 to 0.133.255.2540.133.255.25565,534
1350.134.0.0/160.134.0.1 to 0.134.255.2540.134.255.25565,534
1360.135.0.0/160.135.0.1 to 0.135.255.2540.135.255.25565,534
1370.136.0.0/160.136.0.1 to 0.136.255.2540.136.255.25565,534
1380.137.0.0/160.137.0.1 to 0.137.255.2540.137.255.25565,534
1390.138.0.0/160.138.0.1 to 0.138.255.2540.138.255.25565,534
1400.139.0.0/160.139.0.1 to 0.139.255.2540.139.255.25565,534
1410.140.0.0/160.140.0.1 to 0.140.255.2540.140.255.25565,534
1420.141.0.0/160.141.0.1 to 0.141.255.2540.141.255.25565,534
1430.142.0.0/160.142.0.1 to 0.142.255.2540.142.255.25565,534
1440.143.0.0/160.143.0.1 to 0.143.255.2540.143.255.25565,534
1450.144.0.0/160.144.0.1 to 0.144.255.2540.144.255.25565,534
1460.145.0.0/160.145.0.1 to 0.145.255.2540.145.255.25565,534
1470.146.0.0/160.146.0.1 to 0.146.255.2540.146.255.25565,534
1480.147.0.0/160.147.0.1 to 0.147.255.2540.147.255.25565,534
1490.148.0.0/160.148.0.1 to 0.148.255.2540.148.255.25565,534
1500.149.0.0/160.149.0.1 to 0.149.255.2540.149.255.25565,534
1510.150.0.0/160.150.0.1 to 0.150.255.2540.150.255.25565,534
1520.151.0.0/160.151.0.1 to 0.151.255.2540.151.255.25565,534
1530.152.0.0/160.152.0.1 to 0.152.255.2540.152.255.25565,534
1540.153.0.0/160.153.0.1 to 0.153.255.2540.153.255.25565,534
1550.154.0.0/160.154.0.1 to 0.154.255.2540.154.255.25565,534
1560.155.0.0/160.155.0.1 to 0.155.255.2540.155.255.25565,534
1570.156.0.0/160.156.0.1 to 0.156.255.2540.156.255.25565,534
1580.157.0.0/160.157.0.1 to 0.157.255.2540.157.255.25565,534
1590.158.0.0/160.158.0.1 to 0.158.255.2540.158.255.25565,534
1600.159.0.0/160.159.0.1 to 0.159.255.2540.159.255.25565,534
1610.160.0.0/160.160.0.1 to 0.160.255.2540.160.255.25565,534
1620.161.0.0/160.161.0.1 to 0.161.255.2540.161.255.25565,534
1630.162.0.0/160.162.0.1 to 0.162.255.2540.162.255.25565,534
1640.163.0.0/160.163.0.1 to 0.163.255.2540.163.255.25565,534
1650.164.0.0/160.164.0.1 to 0.164.255.2540.164.255.25565,534
1660.165.0.0/160.165.0.1 to 0.165.255.2540.165.255.25565,534
1670.166.0.0/160.166.0.1 to 0.166.255.2540.166.255.25565,534
1680.167.0.0/160.167.0.1 to 0.167.255.2540.167.255.25565,534
1690.168.0.0/160.168.0.1 to 0.168.255.2540.168.255.25565,534
1700.169.0.0/160.169.0.1 to 0.169.255.2540.169.255.25565,534
1710.170.0.0/160.170.0.1 to 0.170.255.2540.170.255.25565,534
1720.171.0.0/160.171.0.1 to 0.171.255.2540.171.255.25565,534
1730.172.0.0/160.172.0.1 to 0.172.255.2540.172.255.25565,534
1740.173.0.0/160.173.0.1 to 0.173.255.2540.173.255.25565,534
1750.174.0.0/160.174.0.1 to 0.174.255.2540.174.255.25565,534
1760.175.0.0/160.175.0.1 to 0.175.255.2540.175.255.25565,534
1770.176.0.0/160.176.0.1 to 0.176.255.2540.176.255.25565,534
1780.177.0.0/160.177.0.1 to 0.177.255.2540.177.255.25565,534
1790.178.0.0/160.178.0.1 to 0.178.255.2540.178.255.25565,534
1800.179.0.0/160.179.0.1 to 0.179.255.2540.179.255.25565,534
1810.180.0.0/160.180.0.1 to 0.180.255.2540.180.255.25565,534
1820.181.0.0/160.181.0.1 to 0.181.255.2540.181.255.25565,534
1830.182.0.0/160.182.0.1 to 0.182.255.2540.182.255.25565,534
1840.183.0.0/160.183.0.1 to 0.183.255.2540.183.255.25565,534
1850.184.0.0/160.184.0.1 to 0.184.255.2540.184.255.25565,534
1860.185.0.0/160.185.0.1 to 0.185.255.2540.185.255.25565,534
1870.186.0.0/160.186.0.1 to 0.186.255.2540.186.255.25565,534
1880.187.0.0/160.187.0.1 to 0.187.255.2540.187.255.25565,534
1890.188.0.0/160.188.0.1 to 0.188.255.2540.188.255.25565,534
1900.189.0.0/160.189.0.1 to 0.189.255.2540.189.255.25565,534
1910.190.0.0/160.190.0.1 to 0.190.255.2540.190.255.25565,534
1920.191.0.0/160.191.0.1 to 0.191.255.2540.191.255.25565,534
1930.192.0.0/160.192.0.1 to 0.192.255.2540.192.255.25565,534
1940.193.0.0/160.193.0.1 to 0.193.255.2540.193.255.25565,534
1950.194.0.0/160.194.0.1 to 0.194.255.2540.194.255.25565,534
1960.195.0.0/160.195.0.1 to 0.195.255.2540.195.255.25565,534
1970.196.0.0/160.196.0.1 to 0.196.255.2540.196.255.25565,534
1980.197.0.0/160.197.0.1 to 0.197.255.2540.197.255.25565,534
1990.198.0.0/160.198.0.1 to 0.198.255.2540.198.255.25565,534
2000.199.0.0/160.199.0.1 to 0.199.255.2540.199.255.25565,534
2010.200.0.0/160.200.0.1 to 0.200.255.2540.200.255.25565,534
2020.201.0.0/160.201.0.1 to 0.201.255.2540.201.255.25565,534
2030.202.0.0/160.202.0.1 to 0.202.255.2540.202.255.25565,534
2040.203.0.0/160.203.0.1 to 0.203.255.2540.203.255.25565,534
2050.204.0.0/160.204.0.1 to 0.204.255.2540.204.255.25565,534
2060.205.0.0/160.205.0.1 to 0.205.255.2540.205.255.25565,534
2070.206.0.0/160.206.0.1 to 0.206.255.2540.206.255.25565,534
2080.207.0.0/160.207.0.1 to 0.207.255.2540.207.255.25565,534
2090.208.0.0/160.208.0.1 to 0.208.255.2540.208.255.25565,534
2100.209.0.0/160.209.0.1 to 0.209.255.2540.209.255.25565,534
2110.210.0.0/160.210.0.1 to 0.210.255.2540.210.255.25565,534
2120.211.0.0/160.211.0.1 to 0.211.255.2540.211.255.25565,534
2130.212.0.0/160.212.0.1 to 0.212.255.2540.212.255.25565,534
2140.213.0.0/160.213.0.1 to 0.213.255.2540.213.255.25565,534
2150.214.0.0/160.214.0.1 to 0.214.255.2540.214.255.25565,534
2160.215.0.0/160.215.0.1 to 0.215.255.2540.215.255.25565,534
2170.216.0.0/160.216.0.1 to 0.216.255.2540.216.255.25565,534
2180.217.0.0/160.217.0.1 to 0.217.255.2540.217.255.25565,534
2190.218.0.0/160.218.0.1 to 0.218.255.2540.218.255.25565,534
2200.219.0.0/160.219.0.1 to 0.219.255.2540.219.255.25565,534
2210.220.0.0/160.220.0.1 to 0.220.255.2540.220.255.25565,534
2220.221.0.0/160.221.0.1 to 0.221.255.2540.221.255.25565,534
2230.222.0.0/160.222.0.1 to 0.222.255.2540.222.255.25565,534
2240.223.0.0/160.223.0.1 to 0.223.255.2540.223.255.25565,534
2250.224.0.0/160.224.0.1 to 0.224.255.2540.224.255.25565,534
2260.225.0.0/160.225.0.1 to 0.225.255.2540.225.255.25565,534
2270.226.0.0/160.226.0.1 to 0.226.255.2540.226.255.25565,534
2280.227.0.0/160.227.0.1 to 0.227.255.2540.227.255.25565,534
2290.228.0.0/160.228.0.1 to 0.228.255.2540.228.255.25565,534
2300.229.0.0/160.229.0.1 to 0.229.255.2540.229.255.25565,534
2310.230.0.0/160.230.0.1 to 0.230.255.2540.230.255.25565,534
2320.231.0.0/160.231.0.1 to 0.231.255.2540.231.255.25565,534
2330.232.0.0/160.232.0.1 to 0.232.255.2540.232.255.25565,534
2340.233.0.0/160.233.0.1 to 0.233.255.2540.233.255.25565,534
2350.234.0.0/160.234.0.1 to 0.234.255.2540.234.255.25565,534
2360.235.0.0/160.235.0.1 to 0.235.255.2540.235.255.25565,534
2370.236.0.0/160.236.0.1 to 0.236.255.2540.236.255.25565,534
2380.237.0.0/160.237.0.1 to 0.237.255.2540.237.255.25565,534
2390.238.0.0/160.238.0.1 to 0.238.255.2540.238.255.25565,534
2400.239.0.0/160.239.0.1 to 0.239.255.2540.239.255.25565,534
2410.240.0.0/160.240.0.1 to 0.240.255.2540.240.255.25565,534
2420.241.0.0/160.241.0.1 to 0.241.255.2540.241.255.25565,534
2430.242.0.0/160.242.0.1 to 0.242.255.2540.242.255.25565,534
2440.243.0.0/160.243.0.1 to 0.243.255.2540.243.255.25565,534
2450.244.0.0/160.244.0.1 to 0.244.255.2540.244.255.25565,534
2460.245.0.0/160.245.0.1 to 0.245.255.2540.245.255.25565,534
2470.246.0.0/160.246.0.1 to 0.246.255.2540.246.255.25565,534
2480.247.0.0/160.247.0.1 to 0.247.255.2540.247.255.25565,534
2490.248.0.0/160.248.0.1 to 0.248.255.2540.248.255.25565,534
2500.249.0.0/160.249.0.1 to 0.249.255.2540.249.255.25565,534
2510.250.0.0/160.250.0.1 to 0.250.255.2540.250.255.25565,534
2520.251.0.0/160.251.0.1 to 0.251.255.2540.251.255.25565,534
2530.252.0.0/160.252.0.1 to 0.252.255.2540.252.255.25565,534
2540.253.0.0/160.253.0.1 to 0.253.255.2540.253.255.25565,534
2550.254.0.0/160.254.0.1 to 0.254.255.2540.254.255.25565,534
2560.255.0.0/160.255.0.1 to 0.255.255.2540.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses